Subject: Re: [PATCH] iwlagn: wrap suspend/resume definitions in CONFIG_PM block

From: "John W. Linville" <[email-masked]>
Date: Sun, 24 Jul 2011 16:39:56 -0400

On Sun, Jul 24, 2011 at 01:08:40PM -0700, David Miller wrote:
> From: "John W. Linville" <[email-masked]>
> Date: Sun, 24 Jul 2011 15:19:10 -0400
> 
> > drivers/net/wireless/iwlwifi/iwl-agn.c:3464: error: unknown field 'suspend' specified in initializer
> > drivers/net/wireless/iwlwifi/iwl-agn.c:3464: warning: initialization from incompatible pointer type
> > drivers/net/wireless/iwlwifi/iwl-agn.c:3465: error: unknown field 'resume' specified in initializer
> > drivers/net/wireless/iwlwifi/iwl-agn.c:3465: warning: initialization from incompatible pointer type
> > 
> > This was caused by commit c8ac61cf ("iwlagn: implement WoWLAN").
> > 
> > Signed-off-by: John W. Linville <[email-masked]>
> 
> Since I already minimally fixed up my build locally last night I know
> that your patch leads to a set of warnings because the methods whose
> hookup are now commented out become completely unused and they are all
> marked "static".  And recursively functions that those methods use
> become unused too.
> 
> Did you turn off CONFIG_PM and test the build of this file to see
> what the compiler actually does with it?
> 
> I'm checking in the following, but I expect much better from you John.

Sorry, Dave.  I confess that I was hoping for a quick fix on a Sunday afternoon. :-)

Thanks for making it better!

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.